package com.docus.server.collect.user;

import com.docus.server.collect.service.IHttpUserCollectService;
import com.docus.server.sys.common.pojo.dto.UserDTO;
import com.google.common.collect.Lists;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service
public class HttpUserCollectServiceImpl implements IHttpUserCollectService {
    @Override
    public List<UserDTO> getUsers(Date startDate, Date endDate, long pageNum, long pageSize) {
        UserDTO deptDTO = new UserDTO();
        deptDTO.setAuthorId("1");
        deptDTO.setAuthorName("admin");
        deptDTO.setMessageId("1");
        deptDTO.setOperateType("save");
        deptDTO.setReceiver("admin");

        UserDTO deptDTO1 = new UserDTO();
        deptDTO1.setAuthorId("2");
        deptDTO1.setAuthorName("admin2");
        deptDTO1.setMessageId("2");
        deptDTO1.setOperateType("save2");
        deptDTO1.setReceiver("admin2");
        return Lists.newArrayList(deptDTO, deptDTO1);
    }
}
